跳转到内容

Veo 3.1 Fast Image to Video

集成

模型 id veo3.1/fast/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1/fast/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_yg4iszi3085vhtnni2w1pfm2/0-U0GKmQ8vaXNu2J2S7PyWQ_D7e1WHp8.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.40 400 API 积分 在此页面运行

获取 API 密钥
Google 图像生成视频 原生音频4K 输出快速4–8 s最高 4k #audio#fast#dialogue

以 Veo 3.1 Fast 的价格将图像转换为带声音的 4 到 8 秒片段

示例

输入
输出 · ~72 s

提示词{ "shot": { "composition": "wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike", "lens": "35mm", "frame_rate": "24fps", "camera_movement": "static" }, "subject": { "description": "a futuristic, strong motorbike assembling itself from scattered parts", "wardrobe": "", "props": "mechanical parts, gears, wires, pistons, body panels, wheels" }, "scene": { "location": "large, clear industrial factory floor", "time_of_day": "midday", "environment": "shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze" }, "visual_details": { "action": "motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle", "special_effects": "electric zaps, soft glows, heat distortion waves rising from the exhaust", "hair_clothing_motion": "" }, "cinematography": { "lighting": "bright overhead industrial lighting with sharp contrast, emphasizing form and texture", "color_palette": "warm tones with metallic highlights and soft amber reflections", "tone": "epic and intense, emphasizing mechanical precision and power" }, "audio": { "music": "minimalist, deep synthetic pulses that build with the assembly", "ambient": "deep factory hum, subtle air movements", "sound_effects": "clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble", "mix_level": "cinematic mix with prioritized effects and balanced music bed" }, "dialogue": { "character": "", "line": "", "subtitles": false } }

4s720pgenerate_audio: false$0.40 · 400 API 积分

来自 @azed_ai 在 X 上的提示词

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填 1674 / 20000

所需生成视频的文本描述。

•必填 image_url
拖放文件,或

动画源图像 URL;当其比例不同于 16:9 或 9:16 时会自动裁剪。推荐源图像至少为 720p,并已使用其中一种宽高比。

duration 4 s

输出视频的长度。

aspect_ratio 默认 auto

输出视频的宽高比,仅限 16:9 或 9:16。

resolution

输出视频使用的分辨率。

高级 negative_prompt · safety_tolerance · seed · auto_fix

用于引导视频生成的负面提示词。

safety_tolerance 默认 4

设置内容审核容忍度,范围从限制最少的级别 6 到最严格的级别 1;级别 1 会屏蔽大多数内容。

用于初始化随机数生成的种子值。

POST /run/veo3.1/fast/image-to-video?wait=20 报价 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1/fast/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_yg4iszi3085vhtnni2w1pfm2/0-U0GKmQ8vaXNu2J2S7PyWQ_D7e1WHp8.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

在 Doitong 上制作

Doitong 社区使用 Veo 3.1 制作的公开作品。一键复用提示词。

显示的公开作品数:16
Камера статична, но фокусное расстояние плавно меняется, создавая эффект головокружения. Толпа лю... 视频

Камера статична, но фокусное расстояние плавно меняется, создавая эффект головокружения. Толпа людей в расфокусе стремительно проходит мимо героев на переднем плане. Прохожие идут уткнувшись в телефоны, не замечая ничего вокруг, иногда грубо задевая героев плечами. Эмоциональный ритм: нарастающее...

Камера статична, но фокусное расстояние плавно меняется, создавая эффект головокружения. Толпа лю... 视频

Камера статична, но фокусное расстояние плавно меняется, создавая эффект головокружения. Толпа людей в расфокусе стремительно проходит мимо героев на переднем плане. Прохожие идут уткнувшись в телефоны, не замечая ничего вокруг, иногда грубо задевая героев плечами. Эмоциональный ритм: нарастающее...

Камера стремительно наезжает вперед, погружаясь во мрак туннеля вместе с поездом. Вокруг начинают... 视频

Камера стремительно наезжает вперед, погружаясь во мрак туннеля вместе с поездом. Вокруг начинают мелькать странные неоновые искры, пространство искажается, а кирпичные стены сменяются пульсирующими световыми полосами. Персонажи инстинктивно прижимаются друг к другу, пытаясь укрыться от...

Камера плавно движется вперед параллельно ходу поезда, создавая ощущение скорости и свободы. Вете... 视频

Камера плавно движется вперед параллельно ходу поезда, создавая ощущение скорости и свободы. Ветер мягко развевает одежду одного персонажа и густую шерсть другого. Деревья на заднем плане быстро проносятся мимо, создавая динамичный фон, а золотые лучи солнца периодически вспыхивают сквозь ветви,...

Камера делает резкий облет вокруг героев на 360 градусов, демонстрируя масштаб огромного современ... 视频

Камера делает резкий облет вокруг героев на 360 градусов, демонстрируя масштаб огромного современного мегаполиса, внезапно выросшего вокруг них. В воздухе проносятся светящиеся дроны, а внизу по эстакадам непрерывным потоком мчатся автомобили с яркими фарами. Персонажи медленно опускают руки,...

люди спешат с телефонами. Камера кружит вокруг героев. Шок от контраста прошлого и будущего. Off-... 视频

люди спешат с телефонами. Камера кружит вокруг героев. Шок от контраста прошлого и будущего. Off-screen voiceover (all characters have their mouths closed, no one is speaking on screen): Voice: тёплый, ностальгический мужской голос средних лет с мягким темпом и лёгкой грустью. ...оказываются на...

камера статична. гена играет на гармони своей. персонажи чуть улыбаются On-screen dialogue (chara... 视频

камера статична. гена играет на гармони своей. персонажи чуть улыбаются On-screen dialogue (characters speak with lip-sync): Гена: "мир поменялся. главное что мы остались добрые" No background music.

Art style: Реалистичный кулинарный блог. Камера немного отдаляется, показывая ведущую по пояс. Он... 视频

Art style: Реалистичный кулинарный блог. Камера немного отдаляется, показывая ведущую по пояс. Она активно жестикулирует, призывая зрителей писать комментарии и подписываться. В конце она машет рукой или делает приветственный жест. Ее улыбка сияет, создавая позитивный финал. Свет из окна...

关于 Veo 3.1 Fast Image to Video

Veo 3.1 image-to-video 的快速版本:从起始图像生成同等逼真度、语音和声音,处理速度更快、 价格大幅降低。支持在 720p、1080p 或 4K 下生成 4、6 或 8 秒视频,画面可自适应或固定为 16:9 / 9:16, 音频可开启或关闭。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
≤ 20,000 个字符
所需生成视频的文本描述。
aspect_ratio可选
类型enum
默认值auto
auto16:99:16
输出视频的宽高比,仅限 16:9 或 9:16。
duration可选
类型enum
默认值8s
4s6s8s
输出视频的长度。
negative_prompt可选
类型string | null
用于引导视频生成的负面提示词。
resolution可选
类型enum
默认值720p
720p1080p4k
输出视频使用的分辨率。
generate_audio可选
类型boolean
默认值true
控制视频是否包含生成的音频。
seed可选
类型integer | null
用于初始化随机数生成的种子值。
auto_fix可选
类型boolean
默认值false
自动重写提示词,以尝试解决内容政策检查或其他验证失败。
safety_tolerance可选
类型enum
默认值4
123456
设置内容审核容忍度,范围从限制最少的级别 6 到最严格的级别 1;级别 1 会屏蔽大多数内容。
image_url必填 image
类型url · image
动画源图像 URL;当其比例不同于 16:9 或 9:16 时会自动裁剪。推荐源图像至少为 720p,并已使用其中一种宽高比。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/fast/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "prompt": "The fox trots along the path and the fireflies swirl around it, camera slowly pushes in",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "duration": 4,
    "resolution": "720p"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}模型生成的视频。

更多模型:图像生成视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/veo3.1/fast/image-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt